## org.codehaus.groovy.tools.groovydoc
Class MockOutputTool

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.MockOutputTool

All Implemented Interfaces:
  OutputTool

    public class MockOutputTool

extends Object
implements OutputTool

Constructor Summary
`MockOutputTool()`

Method Summary
`String` `getText(String fileName)`
`boolean` `isValidOutputArea(String fileName)`
`void` `makeOutputArea(String filename)`
`String` `toString()`
`void` `writeToOutput(String fileName, String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockOutputTool

    public MockOutputTool()

Method Detail

### makeOutputArea

    public void makeOutputArea(String filename)

  Specified by:
    `makeOutputArea` in interface `OutputTool`

### writeToOutput

    public void writeToOutput(String fileName,
                              String text)
                       throws Exception

  Specified by:
    `writeToOutput` in interface `OutputTool`
  Throws:
    `Exception`

### isValidOutputArea

    public boolean isValidOutputArea(String fileName)

### getText

    public String getText(String fileName)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2003-2009 The Codehaus. All rights reserved.